# base_media_base.h File Reference

Generic functions for replacing base data (graphics, sounds). More...

`#include "fileio_func.h"`
`#include "core/smallmap_type.hpp"`
`#include "gfx_type.h"`

Go to the source code of this file.

## Data Structures
struct | MD5File
| Structure holding filename and MD5 information about a single file. More...
struct | BaseSet< T, Tnum_files, Tsubdir >
| Information about a single base set. More...
class | BaseMedia< Tbase_set >
| Base for all base media (graphics, sounds). More...
struct | GraphicsSet
| All data of a graphics set. More...
class | BaseGraphics
| All data/functions related with replacing the base graphics. More...
struct | SoundsSet
| All data of a sounds set. More...
class | BaseSounds
| All data/functions related with replacing the base sounds. More...
struct | MusicSet
| All data of a music set. More...
class | BaseMusic
| All data/functions related with replacing the base music. More...
## Enumerations
enum | GraphicsFileType { GFT_BASE, GFT_LOGOS, GFT_ARCTIC, GFT_TROPICAL, GFT_TOYLAND, GFT_EXTRA, MAX_GFT }
| Types of graphics in the base graphics set. More...
## Variables
static const uint | NUM_SONGS_CLASS = 10
| Maximum number of songs in the 'class' playlists.
static const uint | NUM_SONG_CLASSES = 3
| Number of classes for songs.
static const uint | NUM_SONGS_AVAILABLE = 1 + NUM_SONG_CLASSES * NUM_SONGS_CLASS
| Maximum number of songs in the full playlist; theme song + the classes.
static const uint | NUM_SONGS_PLAYLIST = 32
| Maximum number of songs in the (custom) playlist.

## Detailed Description

Generic functions for replacing base data (graphics, sounds).

Definition in file base_media_base.h.

## Enumeration Type Documentation

enum GraphicsFileType

Types of graphics in the base graphics set.

Enumerator:

  GFT_BASE | Base sprites for all climates.
  GFT_LOGOS | Logos, landscape icons and original terrain generator sprites.
  GFT_ARCTIC | Landscape replacement sprites for arctic.
  GFT_TROPICAL | Landscape replacement sprites for tropical.
  GFT_TOYLAND | Landscape replacement sprites for toyland.
  GFT_EXTRA | Extra sprites that were not part of the original sprites.
  MAX_GFT | We are looking for this amount of GRFs.

Definition at line 229 of file base_media_base.h.

## Variable Documentation

const uint NUM_SONGS_CLASS = 10`[static]`

Maximum number of songs in the 'class' playlists.

Definition at line 265 of file base_media_base.h.

Referenced by InitializeMusic().